Updates the equipment_model object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
equipment_model| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| name |
Name of the equipment model |
string |
Required Max length: 50 |
| description |
Description of the equipment model |
string | |
| equipment_brand_id |
FK Of Equipment brand |
globally unique identifier | |
| equipment_brand_code |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
string | |
| equipment_brand |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
equipment_brand | |
| equipment_family_id |
FK Of equipment_family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
equipment_family | |
| date_in_production_since |
Date in production since |
date | |
| date_out_of_production_since |
Date Out Of production since |
date | |
| date_end_support |
Date end support |
date | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating equipment_model |
sales_organization | |
| replacement_period_nb_months |
replacement_period_nb_months |
integer | |
| warranty_period_nb_months |
warranty_period_nb_months |
integer | |
| translations |
List of translation of specific field name |
Collection of translation | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "2246998b-6920-44d5-8447-3307b1392dbe",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "6234cdcf-b4fc-4da9-95aa-c3b038274bac",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "5a7d1587-e0ab-430e-b10c-4c1ac85bc831",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "8eb52cbb-099a-401c-ac2a-11fb4b9cf249",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "b97d6511-98b1-445b-ab6f-d0ded43a4317",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bf11a7e4-89db-48d8-86e2-d33e0315272f",
"db_currency_id": "0d095fe4-8bdd-4b38-98f3-fd0cf94753f9",
"db_language_id": "6defbac6-8340-4a0e-bab5-e45647d35e90",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:26.7245732+00:00"
},
"modified_dateutc": "2026-11-02T04:58:26.7245732+00:00"
},
"equipment_family_id": "b5658595-87e5-4f3f-bca3-8a37c786d0c7",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "f7f17a0f-a8dd-4e38-8c0f-4f934ae9a018",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "b6409f1a-a71f-4da9-8102-6d274762ea07",
"_parent_code": "sample string 6",
"sales_organization_id": "87dd6f3c-0179-44ef-89fd-78fae350b6ee",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "b97d6511-98b1-445b-ab6f-d0ded43a4317",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bf11a7e4-89db-48d8-86e2-d33e0315272f",
"db_currency_id": "0d095fe4-8bdd-4b38-98f3-fd0cf94753f9",
"db_language_id": "6defbac6-8340-4a0e-bab5-e45647d35e90",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:26.7245732+00:00"
},
"modified_dateutc": "2026-11-02T04:58:26.7245732+00:00"
},
"date_in_production_since": "2026-11-02T04:58:26.7245732+00:00",
"date_out_of_production_since": "2026-11-02T04:58:26.7245732+00:00",
"date_end_support": "2026-11-02T04:58:26.7245732+00:00",
"sales_organization_id": "77a69a1f-1e23-429b-b624-5743e3b68471",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "b97d6511-98b1-445b-ab6f-d0ded43a4317",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bf11a7e4-89db-48d8-86e2-d33e0315272f",
"db_currency_id": "0d095fe4-8bdd-4b38-98f3-fd0cf94753f9",
"db_language_id": "6defbac6-8340-4a0e-bab5-e45647d35e90",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:58:26.7245732+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-02T04:58:26.7245732+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.